using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Services;

using Telerik.Web.UI;
using StaticAppGlobals;

public partial class _Default : BasePage //System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load();
        //TicketDetails1.NeedRefresh += new EventHandler(WorkListRefresh);
        //TxtEventTarget.Text = Page.Request.Params["__EVENTTARGET"];
    }

    protected void SetRefreshTimers()
    {
        //TicketsWorklist.setTimer(Convert.ToInt32(cbxTimeInterval.SelectedValue));
    }

    protected void cbxTimeInterval_SelectedIndexChanged(object o, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        SetRefreshTimers();
    }

    protected void BtnRefreshLists_Click(object sender, ImageClickEventArgs e)
    {
        if (ActiveIdTicket.Value != "")
        {
            //cticketservice.ReleaseTicketLock(Convert.ToInt32(ActiveIdTicket.Value));
            ActiveIdTicket.Value = "";
        }
        BottomPane.Collapsed = true;

        //TicketsWorklist.RefreshList();
    }

    public void WorkListRefresh(object sender, EventArgs e)
    {
        //TicketsWorklist.RefreshList();
    }

    [WebMethod()]
    public static void Refresh(int id_ticket_locked)
    {
        //CentralTicket cticketservice = new CentralTicket();
        //cticketservice.ReleaseTicketLock(Convert.ToInt32(id_ticket_locked));
    }
}
